Subject: bug#21825: 2015-10-04; utf8 and latin1 coding problem in GNU emacs, Xemacs is fine

From: Mosè Giordano <[email-masked]>
Date: Wed, 4 Nov 2015 16:54:50 +0100

Hi Uwe,

2015-11-04 16:17 GMT+01:00 Uwe Brauer <[email-masked]>:
>
> Hello
>
> The following problem only occurs in GNU emacs 24.5 or 25.0.50.
>
> I have two files:
>
> The first is saved in latin-1 but its header state
> \usepackage[utf8]{inputenc}
>
> And the other is the other way around
> saved in UTF8 header is
>
> \usepackage[latin1]{inputenc}
>
>
> Both are displayed correctly in Xemacs and but not in GNU emacs.

GNU Emacs has "latexenc" package which opens a file with the encoding
specified by the inputenc package and I think this feature is
valuable, since the actual file encoding should match the inputenc
encoding anyway.  Then, I believe this is the classic case of "this
isn't a bug but a feature".

Cheers,
Mosè